
%global major 0
%define libname %mklibname efivar %major
%define devname %mklibname -d efivar
Name:           efivar
Version:        0.21
Release:        %mkrel 1
Group:          System/Boot and Init
Summary:        Tools to manage UEFI variables
License:        LGPLv2.1
URL:            https://github.com/vathpela/efivar
Requires:       %{libname} = %{version}-%{release}
BuildRequires:  popt-devel git
Source0:        https://github.com/vathpela/%{name}/archive/efivar-%{version}.tar.xz

%description
efivar provides a simple command line interface to the UEFI variable facility.


%package -n %libname
Summary: Library to manage UEFI variables
Group: System/Libraries

%description -n %libname
Library to allow for the simple manipulation of UEFI variables.

%package -n %devname
Group: Development/Libraries
Summary: Development headers for libefivar
Requires: %{libname} = %{version}-%{release}

%description -n %devname
development headers required to use libefivar.

%prep
%setup -q -n %{name}-%{version}
perl -pi -e "s|-Werror||" Make.defaults
git init
git config user.email "efivar-owner@fedoraproject.org"
git config user.name "Fedora Ninjas"
git add .
git commit -a -q -m "%{version} baseline."
git am %{patches} </dev/null



%build

make libdir=%{_libdir} bindir=%{_bindir} OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%files
%doc COPYING
%{_bindir}/efivar
%{_mandir}/man1/*

%files -n %devname
%{_mandir}/man3/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files -n %libname
%{_libdir}/*.so.*



%changelog
* Fri Sep 04 2015 bb <bb> 0.21-1pclos2015
- update 
